//*******************************************************
//* GAME.C - sample application program file for KLCC.	*
//* Copyright 2005 Everett Kaser						*
//* All rights reserved									*
//*******************************************************

#include	"cstartup.h"

BYTE	strHello[] = "Hello world!";

//***************************************
// Called from KWINLIB.C module at ON_END_STARTUP (because of KHook() in main()).
// Do any post-OSwindow-creation initialization here.
void OnEndStartup() {

	long	i, fontH, fontAH;
	DWORD	x, y, w, h;
	HANDLE	hFont;
	
	SetProgramTitle((BYTE *)"KINT Sample 3 (KLCC)");

	// get program window width/height
	_asm(
		SysGetViewSize	@
		lde r15,r39		@
		ldm [w],r15		@	// save wndW
		lde r14,r38		@
		ldm [h],r14			// save wndH
	);

	RectangleXY(0, 0, 0, w, h, CLR_DEFBACK, 0);
	
	BeginText();
	
	x = y = 10;
	for(i=8; i<32; i+=4) {
		hFont = FitFont(strHello, 32000, i, TS_VARIABLE, NULL, &fontH, &fontAH);
		SetTextStyle(hFont, CLR_BLACK, CLR_NONE);
		DrawText(0, x, y, strHello);
		y += fontH;
		RelFont(hFont);
	}
	
	EndText();
}

//*****************************************
BOOL OnKeyUp(DWORD keycode, DWORD repbutt, DWORD loc) {

	_asm(term);	// kill program on key press
	return TRUE;
}

//***************************************
// Called from KWINLIB.C module at ON_BEGIN_STARTUP
// Do any necessary pre-OSwindow-creation initialization here.
BOOL main() {

	KHook(ON_END_STARTUP, OnEndStartup);	// so we get control again after OSwindow creation
	KHook(ON_KEY_UP, OnKeyUp);				// for keeping SHIFT-RIGHT PatternRemove cursor on/off

	return TRUE;
}

